# Search

<mark style="color:blue;">`GET`</mark> `https://api.cybralist.com/bots/:bot_id`

#### Path Parameters

| Name                                      | Type   | Description                                                                       |
| ----------------------------------------- | ------ | --------------------------------------------------------------------------------- |
| bot\_id<mark style="color:red;">\*</mark> | string | Required id of a bot that must be added on [cybralist.com](https://cybralist.com) |

{% tabs %}
{% tab title="200: OK This means you are good to go." %}

```javascript
{
 "avatar": String,
 "botID": String,
 "username": String,
 "discrim": String,
 "shortDesc": String,
 "prefix": String,
 "votes": String,
 "ownerID": String,
 "owner": String,
 "coowners": Array,
 "tags": Array,
 "longDesc": String,
 "certificate": String,
 "github": String,
 "support": String,
 "website": String
}
```

{% endtab %}

{% tab title="404: Not Found This means you've entered invalid bot id." %}

```javascript
{
   "error": "You entered invalid bot id."
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cybralist.com/api/search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
